Public Member Functions | Package Functions

# BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium Interface Reference

Interface for concrete plugin criteria. More...

List of all members.

## Public Member Functions
JPanel | getCriteriumPanel ()
| The criterium configuration panel.
IFixedCriterium | getFixedCriterium ()
| Returns a fixed input value object.
String | getFormulaString ()
| The criterium formula string.
boolean | matches (ViewNode node)
| Evaluates the criterium.
## Package Functions
String | getCriteriumDescription ()
| The criterium description.

## Detailed Description

This interface must be implemented by all objects that are returned from the getCriterium method of the ICriteriaSelectionPlugin interface.

## Member Function Documentation

String BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium.getCriteriumDescription | ( |  | ) | `[package]`

Returns the description of the selection criterium.

Returns:
  The description of the selection criterium.

JPanel BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium.getCriteriumPanel | ( |  | ) |

Returns the criterium configuration panel where the criterium can be configured.

Returns:
  The criterium configuration panel.

IFixedCriterium BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium.getFixedCriterium | ( |  | ) |

Returns an object that contains all configuration values from the configuration panel of the criterium. This object is later on passed to matches(ViewNode, Object) to replay previous node selections.

Returns:
  An object that contains all configuration values.

String BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium.getFormulaString | ( |  | ) |

Returns the criterium formula string that is a textual representation of the criterium.

Returns:
  The formula string.

boolean BinNavi.API.plugins.ICriteriaSelectionPlugin.ICriterium.matches | ( | ViewNode | node | ) |

Evaluates whether the criterium matches the given node.

Parameters:

  | node | The node to match.

Returns:
  True, if the criterium matches the node. False, otherwise.